@echo off
if not exist ca\private\cacert.crt call mkcacert.bat
if not exist ca\private\cacert.pem call mkcacert.bat
set titel=OpenSSL Zertifikaterstellung
set datei=%*
if "%datei%"=="" set datei=Zertifikat
if exist "ca\certs\%datei%.crt" goto error
if exist "ca\certs\%datei%.pem" goto error
if exist "ca\certs\%datei%.p12" goto error
set openssl_conf=openssl.cfg
cls
openssl.exe version
if not exist "%datei%.csr" openssl.exe req -new -out "%datei%.csr"
if errorlevel 1 goto error2
if not exist "%datei%.crt" openssl.exe ca -out "%datei%.crt" -notext -batch -infiles "%datei%.csr"
if errorlevel 1 goto error2
openssl.exe pkcs12 -export -in "%datei%.crt" -inkey privkey.pem -out "%datei%.p12" -name "%datei%"
if errorlevel 1 goto error2
if exist "%datei%.crt" move /y "%datei%.crt" ca\certs\
if exist privkey.pem move /y privkey.pem "ca\certs\%datei%.pem"
if exist "%datei%.p12" move /y "%datei%.p12" ca\certs\
if exist "%datei%.csr" del "%datei%.csr"
winecho.exe "%titel%" "Das Zertifikat wurde erzeugt und im Unterverzeichnis CA\certs gespeichert."
goto end
:error
winecho.exe "%titel%" "Das Zertifikat ist bereits vorhanden."
goto end
:error2
winecho.exe "%titel%" "Beim Erstellen des Zertifikats ist ein Fehler aufgetreten."
:end
set openssl_conf=
set datei=
set titel=