@echo off
if not exist ca\private\root.crt call mkroot.bat
if not exist ca\private\root.pem call mkroot.bat
set titel=OpenSSL Zertifikaterstellung
set datei=%1
if "%datei%"=="" set datei=cacert
if exist "ca\private\%datei%.crt" goto error
if exist "ca\private\%datei%.pem" goto error
set openssl_conf=openssl.cfg
cls
openssl.exe version
if not exist "%datei%.csr" openssl.exe req -new -out "%datei%.csr"
if errorlevel 1 goto error2
if not exist "%datei%.crt" openssl.exe ca -cert ca\private\root.crt -keyfile ca\private\root.pem -out "%datei%.crt" -extensions x509_exts -days 1826 -batch -notext -infiles "%datei%.csr"
if errorlevel 1 goto error2
if exist "%datei%.crt" move /y "%datei%.crt" ca\private\
if exist privkey.pem move /y privkey.pem "ca\private\%datei%.pem"
if not exist ca\private\cacert.crt copy "ca\private\%datei%.crt" ca\private\cacert.crt>nul
if not exist ca\private\cacert.pem copy "ca\private\%datei%.pem" ca\private\cacert.pem>nul
if exist "%datei%.csr" del "%datei%.csr"
winecho.exe "%titel%" "Das Zertifikat wurde erzeugt und im Unterverzeichnis CA\private gespeichert."
goto end
:error
winecho.exe "%titel%" "Das Zertifikat ist bereits vorhanden."
goto end
:error2
winecho.exe "%titel%" "Beim Erstellen des Zertifikats ist ein Fehler aufgetreten."
:end
set openssl_conf=
set datei=
set titel=