@echo off
if not exist CA md CA
if not exist CA\certs md CA\certs
if not exist CA\crl md CA\crl
if not exist CA\newcerts md CA\newcerts
if not exist CA\private md CA\private
if not exist CA\index.txt copy nul CA\index.txt>nul
if not exist CA\serial echo 00>CA\serial
set titel=OpenSSL Stammzertifikaterstellung
set datei=%1
if "%datei%"=="" set datei=root
if exist "ca\private\%datei%.crt" goto error
if exist "ca\private\%datei%.pem" goto error
set openssl_conf=openssl.cfg
cls
openssl.exe version
if not exist "%datei%.csr" openssl.exe req -newkey rsa:4096 -new -out "%datei%.csr"
if errorlevel 1 goto error2
if not exist "%datei%.crt" openssl.exe ca -keyfile privkey.pem -out "%datei%.crt" -selfsign -extensions x509_exts -days 3652 -batch -notext -infiles "%datei%.csr"
if errorlevel 1 goto error2
if exist "%datei%.crt" move /y "%datei%.crt" ca\private\
if exist privkey.pem move /y privkey.pem "ca\private\%datei%.pem"
if not exist ca\private\root.crt copy "ca\private\%datei%.crt" ca\private\root.crt>nul
if not exist ca\private\root.pem copy "ca\private\%datei%.pem" ca\private\root.pem>nul
if exist "%datei%.csr" del "%datei%.csr"
winecho.exe "%titel%" "Das Stammzertifikat wurde erzeugt und im Unterverzeichnis CA\private gespeichert."
goto end
:error
winecho.exe "%titel%" "Ein Stammzertifikat mit diesem Namen ist bereits vorhanden."
goto end
:error2
winecho.exe "%titel%" "Beim Erstellen des Stammzertifikats ist ein Fehler aufgetreten."
:end
set openssl_conf=
set datei=
set titel=